## sqlite3-pcre2 0.1.1~git20220105

=== Makefile ===
VERSION=0.1.1
CC=cc
PLANTUML=plantuml
INSTALL=install
CFLAGS=$(shell pkg-config --cflags sqlite3) $(shell pcre2-config --cflags) -fPIC
LIBS=$(shell pcre2-config --libs8)
prefix=/usr

.PHONY : doc check install dist clean

pcre2.so: pcre2.c
	${CC} -shared -o $@ ${CFLAGS} -W -Werror $^ ${LIBS}


doc: test/50-run.svg


%.svg: %.puml
	${PLANTUML} -tsvg $<

# Generate the test spec
test/db.sqlite3: test/10-init/*.sql
	cat $^ | sqlite3 test/db.sqlite3

# Run the test execution
test/50-run.phony: test/db.sqlite3 test/50-run.sh pcre2.so test/lib.sh
	# sqlite3 -cmd '.load ./pcre2' test/db.sqlite3 .selftest
	test/50-run.sh test/db.sqlite3 './pcre2'
	touch $@

# Run the test report commands
check: test/50-run.phony test/70-print-summary.sh
	test/70-print-summary.sh

install: pcre2.so
	sudo ${INSTALL} -p $^ ${prefix}/lib/sqlite3/pcre2.so

dist: clean
	mkdir sqlite3-pcre2-${VERSION}
	cp -f pcre2.c Makefile readme.txt sqlite3-pcre2-${VERSION}
	tar -czf sqlite3-pcre2-${VERSION}.tar.gz sqlite3-pcre2-${VERSION}

clean:
	-rm -f pcre2.so test/db.sqlite3 test/*.phony

## sqlite3-pcre2 0.1.1~git20220105-e3e02a4a

=== debian/changelog ===
sqlite3-pcre2 (0.1.1~git20220105-e3e02a4a-2) unstable; urgency=medium

  * control: add sqlite3 build dep (Closes: #1129085)
  * rename and update patch
  * explain why patch is not forwarded upstream
  * add watch file
  * rules: enable bindnow flag

 -- Dominique Dumont <dod@debian.org>  Sat, 28 Feb 2026 12:39:40 +0100

sqlite3-pcre2 (0.1.1~git20220105-e3e02a4a-1) unstable; urgency=medium

  * initial release (Closes: #1126344)

 -- Dominique Dumont <dod@debian.org>  Sat, 24 Jan 2026 12:57:35 +0100

=== debian/control ===
Source: sqlite3-pcre2
Standards-Version: 4.7.3
Maintainer: Dominique Dumont <dod@debian.org>
Section: libs
Build-Depends:
 debhelper-compat ( =13),
 libpcre2-dev,
 libsqlite3-dev,
 pkgconf,
 sqlite3,
Vcs-Browser: https://salsa.debian.org/debian/sqlite3-pcre2
Vcs-Git: https://salsa.debian.org/debian/sqlite3-pcre2.git
Homepage: https://github.com/christian-proust/sqlite3-pcre2
Origin: https://github.com/christian-proust/sqlite3-pcre2

Package: sqlite3-pcre2
Architecture: any
Multi-Arch: no
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Conflicts:
 sqlite3-pcre,
Provides:
 sqlite3-pcre,
Replaces:
 sqlite3-pcre,
Description: Perl-compatible regular expression support for SQLite
 This package provides an extension for sqlite3 that uses libpcre2
 to provide the REGEXP() function.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

MYLIBDIR = $(CURDIR)/debian/sqlite3-pcre2/usr/lib/sqlite3

# main packaging script based on dh7 syntax
%:
	dh $@

override_dh_auto_install:
	mkdir -p $(MYLIBDIR)
	install -p pcre2.so $(MYLIBDIR)

=== debian/watch ===
Version: 5
Untrackable: Upstream does not create tag or release
Template: GitHub
Dist: https://github.com/christian-proust/sqlite3-pcre2
